import { IForm, IFormEvents, IFormEvent } from '@zeedhi/common';
import { IEvent } from '@zeedhi/core';

export interface IFormSaveEvents extends IFormEvents {
	cancelClick?: IEvent<IFormEvent>;
	saveClick?: IEvent<IFormEvent>;
	closeModal?: IEvent<IFormEvent>;
}

export interface IFormSave extends IForm {
	title?: string;
	events?: IFormSaveEvents;
}
