<?php

namespace ACL\Util;

class Messages{

    const ERR_EXISTS_OPERATOR_CODE                          = "Código do operador já cadastrado!<br/>";
    const ERR_EXISTS_OPERATOR_CODE_DIFFERENT_ORGANIZATION   = "Código do operador inválido. Por favor, informe um código diferente.<br/>";
    const ERR_EXISTS_CPF                                    = "CPF já cadastrado!<br/>";
    const ERR_EXISTS_EMAIL                                  = "E-mail já cadastrado!<br/>";
    const ERR_DELETE_OPERATOR                               = 'Erro ao excluir operador.';
    const ERR_PASSWORD_NOT_MATCH                            = 'Senhas não conferem.';
    const ERR_PASSWORD_INVALID_LENGTH                       = 'A senha deve conter entre 6 e 20 caracteres.';
    const ERR_NEW_PASSWORD_EQUAL_OLD	                    = 'A nova senha não pode ser igual à senha antiga.';
    const ERR_INVALID_CURRENT_PASSWORD	                    = 'Senha atual inválida.';
    const ERR_INVALID_PARCNEGOCIO	                        = 'Já existe um operador relacionada a este parceiro de negócios.';

    /** Error Password validation */
    const INVALID_PASSWORD_MASK         = "Senha inválida.<br/>Sua senha deve conter no mínimo:<br/><br/>";
    const PASSWORD_VALIDATION_LENGTH    = "<li align='left'>{{count}} caractere(s)</li>";
    const PASSWORD_VALIDATION_UPPERCASE = "<li align='left'>{{count}} letra(s) maíscula(s)</li>";
    const PASSWORD_VALIDATION_NUMERIC   = "<li align='left'>{{count}} número(s)</li>";
    const PASSWORD_VALIDATION_SPECIAL   = "<li align='left'>{{count}} caractere(s) especial(ais)</li>";
    const PASSWORD_NOT_REUSED           = "Senha inválida.<br/>Você deve utilizar uma senha diferente de suas {{changes}} últimas senhas.";

    /** Error Telegram Bot */
    const NOT_FOUND_BOT_TELEGRAM = "Não foi encontrado nenhum bot com este Token";

}
